Firefly开源社区

手机 蓝牙设置搜不到 BLE 设备

148

积分

0

威望

0

贡献

游客

积分
148
发表于 2015-4-11 11:34:15     
本帖最后由 FireBLE_blue 于 2015-4-11 11:47 编辑

最近被问如题同样问题次数不少,故总结一下:
1、手机蓝牙需要4.0版本以上,才能支持,手机蓝牙模组是4.0版本以下肯定无法与BLE 连接。
2、ios为 iPhone4s 以后的ios 设备;Android 为 4.3 以上版本,就算是手机的蓝牙模组是4.0 的,系统版本过低也不行,安卓是4.3才有原生的ble api。部分手机4.2也行。
3、BLE 与 传统蓝牙的发现模式不同,一般BLE 需要使用对应的app 才能扫描出来并连接。
4、也并不是所有的BLE 都需要使用App 的支持,如 ios  的anps 等。 关键是系统对这个profile 的支持。


总结:一般的ble 设备 都需要手机端安装BLE 设备配套的App ,并用App自带的搜索功能去连接匹配的BLE 设备。


回复

使用道具 举报

265

积分

5

威望

6

贡献

实习版主

Rank: 7Rank: 7Rank: 7

积分
265

活跃会员热心会员突出贡献

发表于 2015-4-17 09:32:00     
那我的破手机是不是要换了
回复

使用道具 举报

本版积分规则

友情链接 : 爱板网 电子发烧友论坛 云汉电子社区 粤ICP备14022046号-2
快速回复 返回顶部 返回列表